Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Interface Node

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, MDPoint, java.io.Serializable

public interface Node
extends MDPoint, java.lang.Cloneable, java.io.Serializable, java.lang.Comparable

This interface defines a network node.

Method Summary
`java.lang.Object` | `clone()` Clones a node.
`Link[]` | `findLinks(Node endNode)` Finds the links that connect current node to the specified node.
`Node[]` | `getAdjacentNodeArray()` Returns the adjacent nodes as an array.
`java.util.Iterator` | `getAdjacentNodes()` Returns the adjacent nodes as an Iterator.
`Node[]` | `getChildNodeArray()` Returns the child nodes as an array.
`java.util.Iterator` | `getChildNodes()` Returns the child nodes as an Iterator.
`int` | `getComponentNo()` Returns the node component number.
`double` | `getCost()` Returns the node cost.
`int` | `getDegree()` Gets the degree(number of links taht connect to the node) of a node
`double` | `getDuration()` Gets node duration information
`int` | `getExternalNetworkID()` Returns the external network name if the node is an external node
`java.lang.String` | `getExternalNetworkName()` Returns the external network name if the node is an external node
`int` | `getExternalNodeID()` Returns the external node ID is the node is an external node
`JGeometry` | `getGeometry()` Returns the point geometry (JGeometry).
`int` | `getGeomID()` Returns the LRS geomeetry ID.
`int` | `getHierarchyLevel()` Returns the node hierarchy level.
`int` | `getID()` Returns the node ID.
`Link[]` | `getIncidentLinks()` Returns the incident links of the node as an array.
`int` | `getInDegree()` Gets the in-degree of the node in a directed network
`Link[]` | `getInLinks()` Returns the in-links of the node as an array.
`MDPoint` | `getMDPoint()` Returns the MDpoint of the node.
`double` | `getMeasure()` Returns the LRS measure.
`java.lang.String` | `getName()` Returns the node name.
`Network` | `getNetwork()` Returns the network that contains the node.
`int` | `getNoOfChildNodes()` Gets number of child nodes Returns 0 if the network is a non-hierarchical network
`int` | `getNoOfSibilingNodes()` Gets number of sibling nodes Sibling nodes are nodes with the same parent
`int` | `getOutDegree()` Gets the out-degree of the node in a directed network
`Link[]` | `getOutLinks()` Returns the out-links of the node as an array.
`Node` | `getParentNode()` Returns the parent node.
`int` | `getPartitionID()` Returns the node partition ID.
`Node[]` | `getSiblingNodeArray()` Retunrs the sibling nodes as a Node array.
`java.util.Iterator` | `getSiblings()` Retunrs the sibling nodes as an Iterator.
`boolean` | `getState()` Returns the node state.
`java.lang.String` | `getType()` Returns the node type.
`java.lang.Object` | `getUserData()` Gets user defined data.
`java.lang.Object` | `getUserData(java.lang.String name)` Gets user data
`boolean` | `isActive()` Checks if the node is active.
`boolean` | `isExternalNode()` Checks if the node is an external node which refers a node in another network
`boolean` | `isLogical()`
`boolean` | `isMarked()` Checks if the node is marked.
`boolean` | `isTemporary()` Checks if the node is temporary.
`boolean` | `linkExists(Node endNode)` Checks if the link is bound by the node and the specified nodes.
`void` | `makeTemporary()` Makes the node temporary.
`void` | `setComponentNo(int no)` Sets the node component number.
`void` | `setCost(double cost)` Sets the node cost.
`void` | `setDuration(double duration)` Sets the node duration
`void` | `setExternalNetworkID(int externalNetworkID)` Sets the external network ID for the node if it is an external node
`void` | `setExternalNodeID(int externalNodeID)` Sets the external node ID for the node if it is an external node
`void` | `setGeometry(JGeometry geom)` Sets the node geometry (JGeometry).
`void` | `setGeomID(int id)` Sets the LRS geometry ID.
`void` | `setHierarchyLevel(int id)` Sets the node hierarchy level.
`void` | `setMDPoint(MDPoint pt)` Sets the node location (MDPoint).
`void` | `setMeasure(double measure)` Sets the LRS measure.
`void` | `setName(java.lang.String name)` Sets the node name.
`void` | `setParentNode(Node node)` Sets the parent node.
`void` | `setPartitionID(int id)` Sets the node partition ID.
`void` | `setState(boolean state)` Sets the active flag.
`void` | `setType(java.lang.String type)` Sets the node type.
`void` | `setUserData(java.lang.Object userData)` Sets user defined data.
`void` | `setUserData(java.lang.String name, java.lang.Object data)` Sets user data

Methods inherited from interface oracle.spatial.network.MDPoint
`distance, geodeticDistanceInMeters, getNoOfDims, getOrd, getOrd, getSrid, inside, inside, setOrd, setSrid, toArray, toGeometry, toSDOGeometry`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getID

    public int getID()

  Returns the node ID.

### getName

    public java.lang.String getName()

  Returns the node name.

### getType

    public java.lang.String getType()

  Returns the node type.

### getCost

    public double getCost()

  Returns the node cost.

### getComponentNo

    public int getComponentNo()

  Returns the node component number.

### getInLinks

    public Link[] getInLinks()

  Returns the in-links of the node as an array.

### getOutLinks

    public Link[] getOutLinks()

  Returns the out-links of the node as an array.

### getIncidentLinks

    public Link[] getIncidentLinks()

  Returns the incident links of the node as an array.

### getState

    public boolean getState()

  Returns the node state.

### getNetwork

    public Network getNetwork()

  Returns the network that contains the node.

### getMDPoint

    public MDPoint getMDPoint()

  Returns the MDpoint of the node.

### getGeometry

    public JGeometry getGeometry()

  Returns the point geometry (JGeometry).

### getHierarchyLevel

    public int getHierarchyLevel()

  Returns the node hierarchy level.

### getPartitionID

    public int getPartitionID()

  Returns the node partition ID.

### getChildNodeArray

    public Node[] getChildNodeArray()

  Returns the child nodes as an array.

### getChildNodes

    public java.util.Iterator getChildNodes()

  Returns the child nodes as an Iterator.

### getParentNode

    public Node getParentNode()

  Returns the parent node.

### getGeomID

    public int getGeomID()

  Returns the LRS geomeetry ID.

### setGeomID

    public void setGeomID(int id)

  Sets the LRS geometry ID.
  Parameters:
    `id` - the LRS geometry ID in the referenced LRS layer

### getMeasure

    public double getMeasure()

  Returns the LRS measure.

### setMeasure

    public void setMeasure(double measure)

  Sets the LRS measure.
  Parameters:
    `measure` - the LRS measure in the referenced LRS layer

### setComponentNo

    public void setComponentNo(int no)

  Sets the node component number.
  Parameters:
    `no` - the component number to be set

### setName

    public void setName(java.lang.String name)

  Sets the node name.
  Parameters:
    `name` - the node name to be set

### setType

    public void setType(java.lang.String type)

  Sets the node type.
  Parameters:
    `type` - the node type to be set

### setCost

    public void setCost(double cost)

  Sets the node cost.
  Parameters:
    `cost` - the node cost to be set

### setMDPoint

    public void setMDPoint(MDPoint pt)

  Sets the node location (MDPoint).
  Parameters:
    `pt` - the point location to be set

### setGeometry

    public void setGeometry(JGeometry geom)

  Sets the node geometry (JGeometry).
  Parameters:
    `geom` - the point geometry to be set

### setHierarchyLevel

    public void setHierarchyLevel(int id)

  Sets the node hierarchy level.
  Parameters:
    `id` - the hierarchy level to be set

### setPartitionID

    public void setPartitionID(int id)

  Sets the node partition ID.
  Parameters:
    `id` - the partition ID to be set

### setParentNode

    public void setParentNode(Node node)

  Sets the parent node.
  Parameters:
    `node` - the parent node to be set

### isMarked

    public boolean isMarked()

  Checks if the node is marked.

### linkExists

    public boolean linkExists(Node endNode)

  Checks if the link is bound by the node and the specified nodes.
  Parameters:
    `endNode` - the specified node

### isTemporary

    public boolean isTemporary()

  Checks if the node is temporary.

### makeTemporary

    public void makeTemporary()

  Makes the node temporary.

### isLogical

    public boolean isLogical()

### isActive

    public boolean isActive()

  Checks if the node is active.

### getUserData

    public java.lang.Object getUserData()

  Gets user defined data.
  Returns:
    userData the user data

### setUserData

    public void setUserData(java.lang.Object userData)

  Sets user defined data.
  Parameters:
    `userData` - the user data.

### setState

    public void setState(boolean state)

  Sets the active flag.
  Parameters:
    `state` - true if active, false otherwise

### findLinks

    public Link[] findLinks(Node endNode)

  Finds the links that connect current node to the specified node.
  Parameters:
    `endNode` - the specified node

### getAdjacentNodeArray

    public Node[] getAdjacentNodeArray()

  Returns the adjacent nodes as an array.

### getAdjacentNodes

    public java.util.Iterator getAdjacentNodes()

  Returns the adjacent nodes as an Iterator.

### clone

    public java.lang.Object clone()

  Clones a node.

### getSiblings

    public java.util.Iterator getSiblings()

  Retunrs the sibling nodes as an Iterator.

### getSiblingNodeArray

    public Node[] getSiblingNodeArray()

  Retunrs the sibling nodes as a Node array.

### isExternalNode

    public boolean isExternalNode()

  Checks if the node is an external node which refers a node in another network

### getExternalNodeID

    public int getExternalNodeID()

  Returns the external node ID is the node is an external node

### setExternalNodeID

    public void setExternalNodeID(int externalNodeID)

  Sets the external node ID for the node if it is an external node

### getExternalNetworkID

    public int getExternalNetworkID()

  Returns the external network name if the node is an external node

### setExternalNetworkID

    public void setExternalNetworkID(int externalNetworkID)

  Sets the external network ID for the node if it is an external node

### getExternalNetworkName

    public java.lang.String getExternalNetworkName()

  Returns the external network name if the node is an external node

### getDuration

    public double getDuration()

  Gets node duration information

### setDuration

    public void setDuration(double duration)

  Sets the node duration

### setUserData

    public void setUserData(java.lang.String name,
                            java.lang.Object data)

  Sets user data
  Parameters:
    `name` - name for the user data
    `data` - user data

### getUserData

    public java.lang.Object getUserData(java.lang.String name)

  Gets user data
  Parameters:
    `name` - name for the user data
  Returns:
    user data as an Java Object

### getNoOfChildNodes

    public int getNoOfChildNodes()

  Gets number of child nodes Returns 0 if the network is a non-hierarchical network

### getNoOfSibilingNodes

    public int getNoOfSibilingNodes()

  Gets number of sibling nodes Sibling nodes are nodes with the same parent

### getInDegree

    public int getInDegree()

  Gets the in-degree of the node in a directed network

### getOutDegree

    public int getOutDegree()

  Gets the out-degree of the node in a directed network

### getDegree

    public int getDegree()

  Gets the degree(number of links taht connect to the node) of a node

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.